EndpointsCoworlds
Get play session
GET
/v2/coworlds/play/session/{session_id}Returns the current configuration, roster, and viewer state for a play session.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
session_id*Session Id
Play session to return.
Match
^ps_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Query Parameters
entrant_id?|
Stable anonymous entrant ID used to recognize an existing claim.
curl -X GET "https://softmax.com/api/observatory/v2/coworlds/play/session/string"{ "coworld_id": "string", "game_name": "string", "variant_id": "string", "game_config": {}, "player_count": 0, "slots_filled": 0, "allow_spectators": true, "global_url": "string", "status": "string", "can_manage": false, "viewer_target_url": "string", "players": [ { "slot": 0, "label": "string", "slot_kind": "human", "user_id": "string", "player_id": "string", "player_name": "string", "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446", "policy_name": "string", "policy_version": 0, "joined_at": "2019-08-24T14:15:22Z", "is_viewer": false } ], "spectators": [ { "label": "string", "player_id": "string", "player_name": "string", "joined_at": "2019-08-24T14:15:22Z", "is_viewer": false } ], "can_configure_game": false}